galera-4 (26.4.23-1) unstable; urgency=medium

  * New upstream release 26.4.23. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.23.txt
  * Drop patch to fix garbd's -w/WORK_DIR parameter that is now applied upstream

 -- Otto Kekäläinen <otto@debian.org>  Tue, 12 Aug 2025 15:52:41 -0700

galera-4 (26.4.22-1) unstable; urgency=medium

  * New upstream release 26.4.22. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.22.txt
  * Bump debhelper from old 12 to 13
  * Make file installation compatible with Debhelper 13
  * Bump standards version to 4.7.2

 -- Otto Kekäläinen <otto@debian.org>  Fri, 25 Apr 2025 00:01:33 -0700

galera-4 (26.4.21-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream release 26.4.21. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.21.txt
  * Bump standards version to 4.7.0

  [ Adel Belhouane ]
  * Create user _galera in galera-arbitrator-4 instead of galera-4
    (Closes: #1086726)
  * Package galera-arbitrator-4 has to depend on adduser
  * Fix garbd's -w/WORK_DIR parameter (Closes: #1088076)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 26 Jan 2025 18:33:42 -0800

galera-4 (26.4.20-1) unstable; urgency=medium

  * New upstream release 26.4.20. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.20.txt
  * Extend gbp.conf and write a README.source to document new upstream import
  * Update debian/patches to be compatible with `gbp pq` which is easier
    for contributors to use, and to avoid cumbersome `quilt`

 -- Otto Kekäläinen <otto@debian.org>  Tue, 03 Sep 2024 07:47:17 -0700

galera-4 (26.4.19-1) unstable; urgency=medium

  * New upstream release 26.4.19. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.19.txt

 -- Otto Kekäläinen <otto@debian.org>  Sun, 21 Jul 2024 12:27:34 -0700

galera-4 (26.4.18-1) unstable; urgency=medium

  * Switch to upstream aware DEP-14 branch structure in gbp.conf
  * New upstream release 26.4.18. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.18.txt
  * For previous release details see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.17.txt
  * New upstream signing key 3D53839A70BC938B08CDD47F45460A518DA84635,
    verified from 26.4.17 release notes
  * Move service file from /lib to /usr/lib to conform with usrmerge

 -- Otto Kekäläinen <otto@debian.org>  Sat, 20 Apr 2024 16:21:37 -0700

galera-4 (26.4.16-2) unstable; urgency=medium

  * Format patches from Daniel Black to use DEP-3 patch tagging guidelines
  * Apply upstream patches from codership/galera#558, which includes
    multiple Debian build and post-build test failure fixes:
    - Attempt to bind to UDP and skips tests if not available
      (Related: #1007954)
    - Show libgalera_smm.so build output instead of sending it to /dev/null
    - (Related: #970043)
    - Generate keys and certificates for SSL tests (Closes: #1053334)
    - Fix 'uuid == WSREP_UUID_UNDEFINED' (Related: #970044)
    - Fix issues reported -Werror when compiling (Related: #970043)
    - Fix UBSAN issues (Closes: #1053183, Related: #970042)

 -- Otto Kekäläinen <otto@debian.org>  Wed, 18 Oct 2023 18:51:18 -0700

galera-4 (26.4.16-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream release 26.4.14. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.16.txt
  * For previous release details see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.15.txt
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.14.txt
  * Note that 26.4.14-1~exp1 was in Debian experimental but never in unstable

  [ Faustin Lammler ]
  * Running daemon under nobody user is not recommended (Closes: #970045)

  [ Daniel Black ]
  * Salsa-CI: use stretch archive
  * Reduce galera.cache size test for Salsa

 -- Otto Kekäläinen <otto@debian.org>  Sat, 16 Sep 2023 15:54:34 -0700

galera-4 (26.4.13-1) unstable; urgency=medium

  * New upstream release 26.4.13. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.13.txt
  * For previous release details see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.12.txt
    - Arbitrator daemon garbd now has parameters -w, --workdir and
      WORK_DIR in garb.conf which can be used to set the working
      directory for garbd process, which helps to fix long standing
      issue from 2015 (https://github.com/codership/galera/issues/313).
  * Drop obsolete dependency on package lsb-release
  * Fix minor Lintian nags

 -- Otto Kekäläinen <otto@debian.org>  Sun, 05 Feb 2023 15:39:38 -0800

galera-4 (26.4.11-1) unstable; urgency=medium

  * New upstream release 26.4.11. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.11.txt

 -- Otto Kekäläinen <otto@debian.org>  Fri, 04 Mar 2022 23:15:59 -0800

galera-4 (26.4.10-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream release 26.4.10. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.10.txt

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Otto Kekäläinen <otto@debian.org>  Tue, 01 Mar 2022 20:42:09 -0800

galera-4 (26.4.9-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream release 26.4.9. Includes multiple bug fixes, see
    https://github.com/codership/documentation/blob/master/release-notes/release-notes-galera-26.4.9.txt
  * Restore CK_TIMEOUT_MULTIPLIER in debian rules to avoid unnecessary
    test failures due to slow builders

  [ Andreas Beckmann ]
  * Solve circular Conflicts with galera-3 by no longer providing a virtual
    galera package (Closes: #990708)

 -- Otto Kekäläinen <otto@debian.org>  Wed, 28 Jul 2021 08:45:27 -0700

galera-4 (26.4.8-1) unstable; urgency=medium

  * New upstream release 26.4.8
  * Remove patches applied upstream
  * Drop SConstruct patch for i386 as SCons is not used for builds anymore
  * Bugfix: Don't uninstall MariaDB on Galera 3 to 4 upgrade (Closes: #988089)
    This ensures the Buster installs of mariadb-server-10.3 (that depend on
    galera-3) correctly upgrade to Bullseye installs of mariadb-server-10.5
    (that depend on galera-4).

 -- Otto Kekäläinen <otto@debian.org>  Tue, 25 May 2021 20:38:32 -0700

galera-4 (26.4.7-3) unstable; urgency=medium

  * Revised atomics patch to fix multiple FTBFS
  * Update standards-version to 4.5.1 (no changes)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 20 Feb 2021 21:26:46 +0200

galera-4 (26.4.7-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix new CMake definitions to correctly use CMAKE_OBJDUMP (Closes: #981652)

  [ Otto Kekäläinen ]
  * Backport atomics patch from upstream to fix multiple FTBFS

 -- Otto Kekäläinen <otto@debian.org>  Fri, 05 Feb 2021 12:24:44 +0200

galera-4 (26.4.7-1) unstable; urgency=medium

  * New upstream version 26.4.7
  * Remove arm64 crc32 patch that was applied upstream
  * Build with CMake instead of SCons, as now done in upstream
  * Install libgalera_smm.so the only way upstream now does it
  * Also sync all other relevant changes done in debian/ upstream

 -- Otto Kekäläinen <otto@debian.org>  Mon, 01 Feb 2021 18:27:19 +0200

galera-4 (26.4.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.

  [ Otto Kekäläinen ]
  * New upstream version 26.4.6
  * Apply the test timeout multiplier on all architectures
  * Remove d/copyright references to crc32 library now removed upstream
  * Fix arm64 build failure due to crc32 issue
  * Fix i386 builds by forcing Scons to use DEB_HOST_ARCH if available

 -- Otto Kekäläinen <otto@debian.org>  Sat, 07 Nov 2020 20:26:19 +0200

galera-4 (26.4.5-1) unstable; urgency=medium

  * New upstream version 26.4.5. This is the first official release for
    general availability.
  * Remove all patches as they have been applied upstream.

 -- Otto Kekäläinen <otto@debian.org>  Fri, 29 May 2020 23:39:16 +0300

galera-4 (26.4.3-4) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Remove unused Lintian override binary-file-built-without-LFS-support
  * Enable hardening=+all to fix Lintian warning hardening-no-bindnow
  * Include systemd service definition in Debian packaging
  * Add man page for garb-systemd
  * Add minor systemd service definition fixes
  * Add Rules-Requires-Root definition to control file

  [ Faustin Lammler ]
  * Fix systemd unit and start script

 -- Otto Kekäläinen <otto@debian.org>  Sun, 23 Feb 2020 10:46:37 +0200

galera-4 (26.4.3-3) unstable; urgency=medium

  * No-change, source-only upload after previous binary upload to NEW.

 -- Otto Kekäläinen <otto@debian.org>  Thu, 02 Jan 2020 10:20:27 +0200

galera-4 (26.4.3-2) unstable; urgency=medium

  * Rename galera-arbitrator-4 -> -3 forgotten form previous upload
  * Add proper conflicts/replaces to older Galera versions
  * Extend Salsa-CI tests with upgrade scenarios

 -- Otto Kekäläinen <otto@debian.org>  Mon, 30 Dec 2019 11:56:34 +0200

galera-4 (26.4.3-1) unstable; urgency=medium

  * New upstream version 26.4.3
  * Refresh patches after 26.4.3 import
  * Rename galera-3 -> galera-4 after Galera 4 import

 -- Otto Kekäläinen <otto@debian.org>  Sun, 22 Dec 2019 12:06:07 +0200

galera-3 (25.3.28-2) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 9 to 12.
  * Fix field name typos in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Otto Kekäläinen <otto@debian.org>  Mon, 16 Dec 2019 21:32:17 +0200

galera-3 (25.3.28-1) unstable; urgency=medium

  * New upstream version 25.3.28 (Closes: #940200)
  * Remove patch for #927846 as it was applied upstream.
  * Mark autopkgtests with new 'superficial' as it applies to this package

 -- Otto Kekäläinen <otto@debian.org>  Mon, 16 Sep 2019 19:17:31 +0300

galera-3 (25.3.27-1) unstable; urgency=medium

  * New upstream version 25.3.27
  * Include full CC-BY-SA-3.0 license in debian/copyright to satisfy Lintian
  * Drop manual dbgsym creation as this is nowadays automatic
  * Apply upstream patch for FTBFS on hppa, hurd and kfreebsd-*
    (Closes: #927846)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 27 Jul 2019 16:33:43 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog galera-arbitrator-4`.
